Full stack resources
Gets the list of resources that a service connector can access.
Args: connector_info: The service connector info. connector_uuid: The service connector uuid.
Returns: The list of resources that the service connector configuration has access to and consumable from UI/CLI.
Raises: ValueError: If both connector_info and connector_uuid are provided, or if neither connector_info nor connector_uuid are provided.
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
connector_uuidstring · uuid · nullableOptional
Body
Information about the service connector when creating a full stack.
typestringRequired
auth_methodstringRequired
Responses
200
Successful Response
application/json
Information about the service connector resources needed for CLI and UI.
connector_typestringRequired
401
Unauthorized
application/json
403
Forbidden
application/json
409
Conflict
application/json
422
Unprocessable Entity
application/json
post/api/v1/service_connectors/full_stack_resources
POST /api/v1/service_connectors/full_stack_resources HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 91
{
"type": "text",
"auth_method": "text",
"configuration": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}{
"connector_type": "text",
"components_resources_info": {
"ANY_ADDITIONAL_PROPERTY": [
{
"flavor": "text",
"flavor_display_name": "text",
"required_configuration": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"use_resource_value_as_fixed_config": false,
"accessible_by_service_connector": [
"text"
],
"connected_through_service_connector": [
{
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"type": "alerter",
"flavor_name": "text",
"integration": "text",
"logo_url": "text"
},
"metadata": {
"configuration": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"environment": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"secrets": [
"123e4567-e89b-12d3-a456-426614174000"
],
"labels": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"connector_resource_id": "text",
"connector": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"description": "",
"connector_type": "text",
"auth_method": "text",
"resource_types": [
"text"
],
"resource_id": "text",
"supports_instances": false,
"expires_at": "2026-01-01T00:00:00.000Z",
"expires_skew_tolerance": 1
},
"metadata": {
"configuration": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"expiration_seconds": 1,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"flavor": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"type": "alerter",
"display_name": "text",
"integration": "text",
"source": "text",
"logo_url": "text",
"is_custom": true
},
"metadata": {
"config_schema": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"connector_type": "text",
"connector_resource_type": "text",
"connector_resource_id_attr": "text",
"docs_url": "text",
"sdk_docs_url": "text"
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}
]
}
]
}
}Last updated
Was this helpful?